> This page is for Workforce.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.merge.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.merge.dev/_mcp/server.

# Update Registered User

PATCH https://ah-api.merge.dev/api/v1/registered-users/{registered_user_id}/
Content-Type: application/json

Updates fields on a Registered User by ID

Reference: https://docs.merge.dev/merge-workforce/agent-handler/registered-users/registered-users-partial-update

## Authentication

- `Authorization` header (bearer token, required) — Token-based authentication with required prefix "Bearer"

## Request

### Path parameters

- `registered_user_id` (string, required) — Agent Handler ID of the Registered User

### Body (application/json)

This endpoint expects a PatchedRegisteredUserPublicRequest.

- `origin_user_id` (string, optional) — Unique identifier for Registered User
- `origin_user_name` (string, optional) — The human readable name of Registered User
- `shared_credential_group` (SharedCredentialGroup, optional) — Object used to identify which the groupings a Registered User is part of and can share credentials across.
- `user_type` (enum, optional, default: HUMAN) — ENUM of `HUMAN` or `SYSTEM`
  - Allowed values: `HUMAN`, `SYSTEM`

## Response

### 200

- `id` (string, required)
- `origin_user_id` (string, required) — Unique identifier for Registered User
- `origin_user_name` (string, required) — The human readable name of Registered User
- `shared_credential_group` (SharedCredentialGroup, required, nullable) — Object used to identify which the groupings a Registered User is part of and can share credentials across.
- `user_type` (string, required) — ENUM of `HUMAN` or `SYSTEM`
- `authenticated_connectors` (list of string, required) — List of connector slugs that the user has authenticated with
- `is_test` (boolean, required) — Whether this is a test user or production user

## Types

### SharedCredentialGroup

- `origin_company_id` (string, optional, nullable) — Unique identifier for the company of the Registered User
- `origin_company_name` (string, optional, nullable) — The human readable name of the company of the Registered User
- `custom_groupings` (map from string to string, optional) — Optional identifier / grouping that you can provide to further segment Registered Users

## Examples

**Request**

```json
{
  "origin_user_name": "Alice Chen",
  "shared_credential_group": {
    "origin_company_id": "company-abc",
    "origin_company_name": "Acme Corp Updated",
    "custom_groupings": {
      "department": "sales"
    }
  },
  "user_type": "HUMAN"
}
```

**SDK Code**

```python Update User Request (application/json)
import requests

url = "https://ah-api.merge.dev/api/v1/registered-users/:registered_user_id/"

payload = {
    "origin_user_name": "Alice Chen",
    "shared_credential_group": {
        "origin_company_id": "company-abc",
        "origin_company_name": "Acme Corp Updated",
        "custom_groupings": { "department": "sales" }
    },
    "user_type": "HUMAN"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Update User Request (application/json)
const url = 'https://ah-api.merge.dev/api/v1/registered-users/:registered_user_id/';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"origin_user_name":"Alice Chen","shared_credential_group":{"origin_company_id":"company-abc","origin_company_name":"Acme Corp Updated","custom_groupings":{"department":"sales"}},"user_type":"HUMAN"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Update User Request (application/json)
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://ah-api.merge.dev/api/v1/registered-users/:registered_user_id/"

	payload := strings.NewReader("{\n  \"origin_user_name\": \"Alice Chen\",\n  \"shared_credential_group\": {\n    \"origin_company_id\": \"company-abc\",\n    \"origin_company_name\": \"Acme Corp Updated\",\n    \"custom_groupings\": {\n      \"department\": \"sales\"\n    }\n  },\n  \"user_type\": \"HUMAN\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Update User Request (application/json)
require 'uri'
require 'net/http'

url = URI("https://ah-api.merge.dev/api/v1/registered-users/:registered_user_id/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"origin_user_name\": \"Alice Chen\",\n  \"shared_credential_group\": {\n    \"origin_company_id\": \"company-abc\",\n    \"origin_company_name\": \"Acme Corp Updated\",\n    \"custom_groupings\": {\n      \"department\": \"sales\"\n    }\n  },\n  \"user_type\": \"HUMAN\"\n}"

response = http.request(request)
puts response.read_body
```

```java Update User Request (application/json)
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://ah-api.merge.dev/api/v1/registered-users/:registered_user_id/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"origin_user_name\": \"Alice Chen\",\n  \"shared_credential_group\": {\n    \"origin_company_id\": \"company-abc\",\n    \"origin_company_name\": \"Acme Corp Updated\",\n    \"custom_groupings\": {\n      \"department\": \"sales\"\n    }\n  },\n  \"user_type\": \"HUMAN\"\n}")
  .asString();
```

```php Update User Request (application/json)
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://ah-api.merge.dev/api/v1/registered-users/:registered_user_id/', [
  'body' => '{
  "origin_user_name": "Alice Chen",
  "shared_credential_group": {
    "origin_company_id": "company-abc",
    "origin_company_name": "Acme Corp Updated",
    "custom_groupings": {
      "department": "sales"
    }
  },
  "user_type": "HUMAN"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Update User Request (application/json)
using RestSharp;

var client = new RestClient("https://ah-api.merge.dev/api/v1/registered-users/:registered_user_id/");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"origin_user_name\": \"Alice Chen\",\n  \"shared_credential_group\": {\n    \"origin_company_id\": \"company-abc\",\n    \"origin_company_name\": \"Acme Corp Updated\",\n    \"custom_groupings\": {\n      \"department\": \"sales\"\n    }\n  },\n  \"user_type\": \"HUMAN\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Update User Request (application/json)
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "origin_user_name": "Alice Chen",
  "shared_credential_group": [
    "origin_company_id": "company-abc",
    "origin_company_name": "Acme Corp Updated",
    "custom_groupings": ["department": "sales"]
  ],
  "user_type": "HUMAN"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://ah-api.merge.dev/api/v1/registered-users/:registered_user_id/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```